<?php

declare(strict_types=1);

use System\Database\Schema;

return function (): string {

    return Schema::create('organizations', function ($table) {

        $table->id();

        $table->string('organization_code',30)->unique();

        $table->string('organization_name',150);

        $table->string('organization_type',100);

        $table->string('email',150)->nullable();

        $table->string('phone',50)->nullable();

        $table->string('website',150)->nullable();

        $table->string('logo',255)->nullable();

        $table->boolean('status')->default(true);

        $table->timestamps();

    });

};